<script setup lang="ts">
import type { BSPaper } from '@/types/BSPaper'
import { type Ref, inject, ref, computed } from 'vue'
import { useBSPaperStore } from '@/stores/bspaper'
import type { BSPaperItem } from '@/types/BSPaperItem'

const props = defineProps<{
  modelValue: boolean
  bspaper: BSPaper
  bspaperItems: BSPaperItem[]
}>()
const emit = defineEmits<{
  'update:modelValue': [boolean]
  agree: []
}>()
const value = computed({
  get() {
    return props.modelValue
  },
  set(value) {
    emit('update:modelValue', value)
  }
})
const dialog = ref(false)
const bspaperStore = useBSPaperStore()
</script>

<template>
  <v-icon size="small" color="blue-accent-4" class="me-2" @click="dialog = !dialog">
    mdi-eye-check-outline
  </v-icon>

  <v-dialog v-model="dialog" persistent width="auto">
    <v-card>
      <v-card-title class="billtitle">ใบสั่งซื้อ</v-card-title>
      <v-row align="center">
        <v-col>
          <v-img src="src\assets\DcoffeeLogo.png" width="70px" style="margin-left: 15px"> </v-img>
        </v-col>
        <p style="margin-right: 270px; font-size: 13px">
          D-Coffee <br />
          สาขามหาวิทยาลัยบูรพา <br />
          โทรศัพท์ 099-999-9999
        </p>
      </v-row>
      <v-card-text>
        <v-sheet>
          <p style="font-size: 15px">
            หมายเลขใบสั่งซื้อ : {{ bspaper.id }}<br />
            วันที่สั่งซื้อ : {{ bspaper.created }} <br />
            พนักงาน : {{ bspaper.user?.name }} <br />
          </p>
          <div style="text-align: center">--------------------------------------------------</div>
        </v-sheet>
      </v-card-text>
      <v-table>
        <thead>
          <tr>
            <td>#</td>
            <td>Name</td>
            <td>Price</td>
            <td>Qty</td>
            <td>Unit</td>
            <td>Total</td>
          </tr>
        </thead>
        <tbody>
          <tr v-for="(item, index) of bspaper.buystockorderItems" :key="item.id">
            <td>{{ index + 1 }}</td>
            <td>{{ item.name }}</td>
            <td>{{ item.price }}</td>
            <td>{{ item.qty }}</td>
            <td>{{ item.unit }}</td>
            <td>{{ item.qty * item.price }}</td>
            <td></td>
          </tr>
        </tbody>
      </v-table>
      <v-container>
        <v-row>
          <v-col cols="12" style="text-align: right"
            >รวมเงินทั้งสิ้น : {{ bspaper.total }} บาท
          </v-col>
        </v-row>
      </v-container>

      <v-btn
        color="blue-darken-1"
        variant="text"
        @click="
          () => {
            dialog = false
          }
        "
        >ปิด</v-btn
      >
    </v-card>
  </v-dialog>
</template>

<style>
.billtitle {
  font-family: 'Kanit';
  font-size: 20px;
  font-weight: bold;
  text-align: right;
}

.text-left {
  text-align: left;
}
</style>
